// VCSampleDlg.h : header file
//

#if !defined(AFX_VCSAMPLEDLG_H__CC7E354B_C6DC_4E23_A1CF_E2912955C817__INCLUDED_)
#define AFX_VCSAMPLEDLG_H__CC7E354B_C6DC_4E23_A1CF_E2912955C817__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif

/////////////////////////////////////////////////////////////////////////////
// CVCSampleDlg dialog

class CConaitoObject;

class CVCSampleDlg : public CDialog
{
// Construction
public:
	CVCSampleDlg(CWnd* pParent = NULL);	// standard constructor

	CConaitoObject* m_pConaitoObject;


	// Dialog Data
	//{{AFX_DATA(CVCSampleDlg)
	enum { IDD = IDD_VCSAMPLE_DIALOG };
	CListBox	m_UniqueIDList;
	CListBox	m_ReceiveWhisperList;
	CListBox	m_ListMsgFromServerReceive;
	CComboBox	m_IPComboBox;
	CListBox	m_ReceiveTxtListBox;
	CSliderCtrl	m_MicSlider;
	CSliderCtrl	m_SpkSlider;
	BOOL	m_bBusyStatus;
	BOOL	m_bUnavailableStatus;
	BOOL	m_bSpkMute;
	BOOL	m_bMicMute;
	CString	m_sSendText;
	UINT	m_nListenPort;
	CString	m_sProxyServerIP;
	UINT	m_nProxyServerPort;
	CString	m_sMyUniqueID;
	CString	m_sToUniqueID;
	CString	m_sAddConfUniqueId;
	CString	m_sSendMsgToServer;
	CString	m_sSendWhisper;
	CString	m_sSendWhisperUniqueId;
	CString	m_sMsgDirectIP;
	UINT	m_sMsgDirectPort;
	CString	m_sMsgDirectMsg;
	CString	m_sMsgViaProxyUniqueId;
	CString	m_sMsgViaProxyText;
	CString	m_sDirectMsgFromUniqueId;
	CString	m_sMsgViaProxyFromUniqueID;
	CString	m_sMsgViaProxyToUniqueID;
	CString	m_sMsgViaProxyIP;
	UINT	m_sMsgViaProxyPort;
	BOOL	m_bMicBoost;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVCSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnButtonOnline();
	afx_msg void OnButtonOffline();
	afx_msg void OnButtonMakecall();
	afx_msg void OnButtonEndcall();
	afx_msg void OnCheckUnavailable();
	afx_msg void OnCheckBusy();
	afx_msg void OnCheckMicmute();
	afx_msg void OnCheckSpkmute();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnButtonSendtxt();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonRegtoproxy();
	afx_msg void OnButtonUnregtoproxy();
	afx_msg void OnButtonMakecall2();
	afx_msg void OnButtonAddConf();
	afx_msg void OnButtonSendservermsg();
	afx_msg void OnButtonSendWhisper();
	afx_msg void OnButtonSendMsgDirect();
	afx_msg void OnButtonSendMsgProxy();
	afx_msg void OnButtonGetUniqueidslist();
	afx_msg void OnCheckMicGain();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


#endif
